Cyberduck Mountain Duck CLI

#10815 reopened defect

Running slow in Virtual Box environment

Reported by: sam20e Owned by:
Priority: normal Milestone:
Component: core Version: 7.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

Hi guys

So I have a win 7 running n VirtualBox. I have more than enough guest resources like 6GB RAM etc. However, my windows cyberduck is operating very slowly. When i click the app icon, it takes 40-60 seconds to open the app itself. I tried uninstalling, reinstalling the latest version etc.

Should i change any setting for virtual box?

Sam

Attachments (1)

2019-10-09-14-01-57.mp4 (936.4 KB) - added by jmalek on Oct 9, 2019 at 12:03:28 PM.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Sep 29, 2019 at 7:11:35 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

comment:2 Changed on Oct 8, 2019 at 4:59:06 AM by sam20e

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

WOW excellent support. Very easy to close a bug report stating its "third party" than helping right? only a super lazy person would do such thing. Cyberduck is your product. So if its not working n an environment means you guys should help.

comment:3 Changed on Oct 8, 2019 at 8:48:03 AM by dkocher

Hi Sam,

Virtual Machine performance depends on a number of different factors - not just memory available.

  • How many CPU cores did you allocate to your virtual machine?

Cyberduck starts up faster with more cores (2/4).

  • How fast does your CPU run?

Faster means faster start up.

  • Which type of underlying storage hardware are you using?

SSDs are typically the ideal candidate for virtualization as they are able to compensate random read/writes through your host system. If you are running on Notebook/Low Energy HDDs with 5400 RPM you may see huge performance impacts due to the nature of HDDs.

  • How is the VM-storage disk attached to your VM?

If your VM is attached to an IDE-controller there is massive performance penalty applied, as the IDE protocol is slow. Please make sure you are using SATA- or SAS-controller for your virtual machines drives.

  • Is your host CPU virtualization capable, and is virtualization enabled?

Without virtualization enabled you may only run 32 Bit-versions of operating systems in an emulation-layer which is slow.

– Jöran

comment:4 Changed on Oct 8, 2019 at 8:50:16 AM by dkocher

  • Milestone 7.1.1 deleted
  • Priority changed from high to normal
  • Severity changed from major to normal
  • Summary changed from Cyberduck and Virtual Box to Running slow in Virtual Box environment

Changed on Oct 9, 2019 at 12:03:28 PM by jmalek

comment:5 Changed on Oct 9, 2019 at 12:08:26 PM by jmalek

As in the attachment https://trac.cyberduck.io/attachment/ticket/10815/2019-10-09-14-01-57.mp4 I don't see any issue. It is starting within three seconds after letting Windows 7 rest until completely idle.

I used the Windows 7 IE11-Virtual Box machine template from Microsoft as reference: https://developer.microsoft.com/en-us/microsoft-edge/tools/vms/

If your virtual machine is heavily used while trying to start Cyberduck this may impact start up performance.

Can you please monitor disk usage using the Resource Monitor on your VM to verify that you are not running into hardware resource usage limitations.

Note: See TracTickets for help on using tickets.
swiss made software